Skip to main content
DELETE
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
Delete a workspace
curl --request DELETE \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspaces/{workspace_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspaces/{workspace_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspaces/{workspace_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "64f0c2a1b2d3e4f506070811",
  "organization_id": "507f1f77bcf86cd799439011",
  "name": "delete_workspace",
  "description": "Workspace Deletion Operation",
  "status": "pending",
  "created_at": "2026-06-05T14:12:00Z",
  "started_at": null,
  "ended_at": null,
  "microservice_id": null,
  "flow_id": null,
  "remote_support": null
}
{
  "error": {
    "message": "Invalid workspace_id format",
    "code": "bad_request",
    "details": "workspace_id must be a lowercase hexadecimal string of 24 characters"
  }
}
{
  "error": {
    "message": "Unauthorized",
    "code": "unauthorized"
  }
}
{
  "error": {
    "message": "Workspace not found",
    "code": "not_found"
  }
}
{
  "error": {
    "message": "Internal Server Error",
    "code": "internal_error"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
workspace_id
string
required

Workspace identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Response

Request accepted. Operation is returned for tracking in operations endpoints.

id
string
required

Operation execution identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
name
string
required

Operation name.

description
string
required

Operation description. An empty string is returned when it doesn't exist at source.

status
enum<string>
required

Current operation status.

Available options:
finished,
unknown,
error,
pending,
in-progress,
timeout,
cancelled,
scheduled
created_at
string<date-time>
required

Creation timestamp.

organization_id
string

Identifier of the organization owning the operation.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
started_at
string<date-time> | null

Start timestamp.

ended_at
string<date-time> | null

Completion timestamp.

microservice_id
string | null

Related microservice identifier, when it exists.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
flow_id
string | null

Related flow identifier, when it exists.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
remote_support
object | null